Skip to main content

List Project Task Stages

GET /public/action/taskStages/list

Lists the task stages configured for a project type. When projectTypeId is omitted, the default project type is used.

Authentication: X-API-KEY header (see Authentication).

Request

curl -X GET 'https://api.withmoxie.com/public/action/taskStages/list?projectTypeId=PROJECT_TYPE_ID' \
-H "X-API-KEY: your_api_key_here"

Query parameters

NameRequiredDescription
projectTypeIdNoProject type ID returned by List Project Types. Defaults to the workspace's default project type.

Response

Returns an array of DeliverableStatus objects.

[
{
"id": "status_todo",
"label": "To Do",
"hexColor": "#8893a0",
"complete": false,
"clientApproval": false
},
{
"id": "status_done",
"label": "Complete",
"hexColor": "#00A861",
"complete": true,
"clientApproval": false
}
]